# BoxGraphics

#### new Cesium.BoxGraphics(options)
DataSources/BoxGraphics.js 39

Describes a box. The center position and orientation are determined by the containing `Entity`.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`show` | Property | `true` | optional A boolean Property specifying the visibility of the box.
`dimensions` | Property |  | optional A `Cartesian3` Property specifying the length, width, and height of the box.
`heightReference` | Property |  | optional A Property specifying what the height from the entity position is relative to.
`fill` | Property | `true` | optional A boolean Property specifying whether the box is filled with the provided material.
`material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the box.
`outline` | Property | `false` | optional A boolean Property specifying whether the box is outlined.
`outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
`outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
`shadows` | Property | `ShadowMode.DISABLED` | optional An enum Property specifying whether the box casts or receives shadows from each light source.
`distanceDisplayCondition` | Property |  | optional A Property specifying at what distance from the camera that this box will be displayed.

##### Demo:

- Cesium Sandcastle Box Demo

### Members

#### readonlydefinitionChanged : Event
DataSources/BoxGraphics.js 72

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### dimensions : Property
DataSources/BoxGraphics.js 91

Gets or sets `Cartesian3` Property property specifying the length, width, and height of the box.

#### distanceDisplayCondition : Property
DataSources/BoxGraphics.js 155

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this box will be displayed.

#### fill : Property
DataSources/BoxGraphics.js 107

Gets or sets the boolean Property specifying whether the box is filled with the provided material.

Default Value: `true`

#### heightReference : Property
DataSources/BoxGraphics.js 99

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### material : MaterialProperty
DataSources/BoxGraphics.js 115

Gets or sets the material used to fill the box.

Default Value: `Color.WHITE`

#### outline : Property
DataSources/BoxGraphics.js 123

Gets or sets the Property specifying whether the box is outlined.

Default Value: `false`

#### outlineColor : Property
DataSources/BoxGraphics.js 131

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property
DataSources/BoxGraphics.js 139

Gets or sets the numeric Property specifying the width of the outline.

Default Value: `1.0`

#### shadows : Property
DataSources/BoxGraphics.js 148

Get or sets the enum Property specifying whether the box casts or receives shadows from each light source.

Default Value: `ShadowMode.DISABLED`

#### show : Property
DataSources/BoxGraphics.js 84

Gets or sets the boolean Property specifying the visibility of the box.

Default Value: `true`

### Methods

#### clone(result) → BoxGraphics
DataSources/BoxGraphics.js 164

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | BoxGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/BoxGraphics.js 187

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | BoxGraphics | The object to be merged into this object.